Discover skills in a GitHub repository
GET
/api/v1/skills/discover
const url = 'https://example.com/api/v1/skills/discover?source=example&projectId=00000000-0000-0000-0000-000000000000';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/skills/discover?source=example&projectId=00000000-0000-0000-0000-000000000000'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” source
required
string
projectId
required
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
string
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
Responses
Section titled “ Responses ”Success
Media type application/json
Array<object>
object
skillName
required
string
skillPath
required
string
name
string
description
string
existsInLibrary
boolean
currentRevisionCommitSha
string
latestUpstreamCommitSha
string
updateAvailable
boolean
lastImportedAt
string
Missing or malformed source parameter
Repository not found
GitHub API error